
local M = {}

local isBreakSquealEnabled = false




--============================================================CAMERA==============================================================
local function onUpdate(dt)
	if core_camera ~= nil and core_camera.isCameraInside(0) == true then
		be:getPlayerVehicle(0):queueLuaCommand('if drivingSounds ~= nil then drivingSounds.cameraMode = (\"dash\") end ')
	elseif core_camera ~= nil and core_camera.isCameraInside(0) == false then
		be:getPlayerVehicle(0):queueLuaCommand('if drivingSounds ~= nil then drivingSounds.cameraMode = (\"exterior\") end ')
	end	
end
--============================================================CAMERA==============================================================







--======================================================================WOOSH SOUND========================================================================
local function onVehicleSwitched(oldId, newId, player)	
		if oldId ~= newId then
				be:getPlayerVehicle(0):queueLuaCommand('if drivingSounds ~= nil then drivingSounds.onVehicleSwitched() end') -- Call onVehicleSwitched function
				be:getObjectByID(newId):queueLuaCommand('if drivingSounds ~= nil then drivingSounds.switch = (\"'..newId..'\") end') -- Tell to the new vehicle that it's focused then play first person sounds again
				if oldId ~= -1 then be:getObjectByID(oldId):queueLuaCommand('if drivingSounds ~= nil then drivingSounds.switch = (\"'..newId..'\") end ') end -- Tell to the old vehicle that is no longer focused then stop first person sounds
		end	
				
		if isBreakSquealEnabled == true then
			be:getPlayerVehicle(player):queueLuaCommand('if vehicleSounds ~= nil then vehicleSounds.toggleBrakeSqueal(true) end')
			be:queueJS('if (document.getElementById("btBrakes") != null) {document.getElementById("btBrakes").textContent="B:1";}')
		else
			be:getPlayerVehicle(player):queueLuaCommand('if vehicleSounds ~= nil then vehicleSounds.toggleBrakeSqueal(false) end')
			be:queueJS('if (document.getElementById("btBrakes") != null) {document.getElementById("btBrakes").textContent="B:0";}')
		end	
end
--======================================================================WOOSH SOUND========================================================================






local function onVehicleSpawned(veh)
	be:getPlayerVehicle(0):queueLuaCommand("extensions.addModulePath('lua/vehicle/extensions/SAH')") -- Load lua files
 	be:getPlayerVehicle(0):queueLuaCommand("extensions.loadModulesInDirectory('lua/vehicle/extensions/SAH', true)")
end







--local function onCameraModeChanged(cameraMode)
--	if cameraMode == "onboard.driver" or cameraMode == "onboard.rider" or cameraMode == "lookAhead" then cameraMode = "dash" end -- Get camera mode
--	be:getPlayerVehicle(0):queueLuaCommand('if drivingSounds ~= nil then drivingSounds.cameraMode = (\"'..cameraMode..'\") end ') -- Send it to vehicle lua
--end





local function brakes(value)
	isBreakSquealEnabled = value
	if isBreakSquealEnabled == true then
		be:getPlayerVehicle(0):queueLuaCommand('if vehicleSounds ~= nil then vehicleSounds.toggleBrakeSqueal(true) end')
	else
		be:getPlayerVehicle(0):queueLuaCommand('if vehicleSounds ~= nil then vehicleSounds.toggleBrakeSqueal(false) end')
	end	
end




M.brakes 			  = brakes
M.onCameraModeChanged = onCameraModeChanged
M.onVehicleSwitched   = onVehicleSwitched
M.onVehicleSpawned    = onVehicleSpawned
M.onUpdate 			  = onUpdate

return M